using System; 
using Server.Items; 
using Server.Scripts.Items.SupplyBags;

namespace Server.Scripts.Items.SupplyStones
{ 
   [Serializable()] 
   public class IngotStone : Item 
   { 
      [Constructable] 
      public IngotStone() : base( 0xED4 ) 
      { 
         Movable = false; 
         Hue = 0x480; 
         Name = "an Ingot stone"; 
      } 

      public override void OnDoubleClick( Mobile from ) 
      { 
         BagOfingots ingotBag = new BagOfingots( 5000 ); 

         if ( !from.AddToBackpack( ingotBag ) ) 
            ingotBag.Delete(); 
      } 

      public IngotStone( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 