using System; 
using Server.Items; 
using Server.Scripts.Items.Tools;
using Server.Scripts.Items.SupplyBags;

namespace Server.Scripts.Items.SupplyStones 
{ 
   [Serializable()] 
   public class ScribeStone : Item 
   { 
      [Constructable] 
      public ScribeStone() : base( 0xED4 ) 
      { 
         Movable = false; 
         Hue = 0x105; 
         Name = "a Scribe Supply Stone"; 
      } 

      public override void OnDoubleClick( Mobile from ) 
      { 
         ScribeBag scribeBag = new ScribeBag(); 

         if ( !from.AddToBackpack( scribeBag ) ) 
            scribeBag.Delete(); 
      } 

      public ScribeStone( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      { 
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
} 