using System;
using Server.Items;
using Server.Network;
using Server.Scripts.Items;

namespace Server.Scripts.Items.Weapons.Ranged
{
	public class Crossbow : BaseRanged
	{
		public override int EffectID{ get{ return 0x1BFE; } }

		[Constructable]
		public Crossbow() : base( 8, 43, 18, 0x234, 0x238, 10, SkillName.Archery, WeaponType.Ranged, WeaponAnimation.ShootXBow, 0xF50, Layer.TwoHanded )
		{
			Weight = 7.0;
		}

		public Crossbow( Serial serial ) : base( serial )
		{
		}

		public override bool OnFired( Mobile attacker, Mobile defender )
		{
			Container pack = attacker.Backpack;

			if ( pack != null && pack.ConsumeTotal( typeof( Bolt ), 1 ) )
			{
				return base.OnFired( attacker, defender );
			}

			return false;
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}