// Earthquake Spell Script v.1.0 by SickLab

using System;
using System.Collections;
using Server.Network;
using Server.Items;
using Server.Targeting;

namespace Server.Spells.Eighth
{
	public class EarthquakeSpell : Spell
	{
		private static SpellInfo m_Info = new SpellInfo(
				"Earthquake", "In Vas Por",
				SpellCircle.Eighth,
				Reagent.Bloodmoss,
				Reagent.Ginseng,
				Reagent.MandrakeRoot,
				Reagent.SulfurousAsh
			);

		public EarthquakeSpell( Mobile caster, Server.Items.SpellScroll scroll ) : base( caster, scroll, m_Info )
		{
		}

		public override void OnCast()
		{
			if ( CheckSequence() )
			{
				ArrayList targets = new ArrayList();

				IPooledEnumerable eable = base.Caster.Map.GetMobilesInRange( Caster.Location, 1 + (int)(Caster.Skills[SkillName.Magery].Value / 15.0) );

				foreach ( Mobile m in eable )
				{
					if ( Caster != m && Caster.CanBeHarmful( m, false ) )
						targets.Add( m );
				}

				eable.Free();

				Caster.PlaySound( 0x20D );

				for ( int i = 0; i < targets.Count; ++i )
				{
					Mobile m = (Mobile)targets[i];

					double damage = m.Hits * 0.6;

					if ( CheckResisted( m ) )
					{
						damage *= 0.5;

						m.SendLocalizedMessage( 501783 ); // You feel yourself resisting magical energy.
					}

					if ( !m.Player )
					{
						if ( damage < 10.0 )
							damage = 10.0;
						else if ( damage > 100.0 )
							damage = 100.0;
					}

					Caster.DoHarmful( m );

					m.Damage( (int) damage );

					if ( m.Body.Type == BodyType.Human && !m.Mounted )
						m.Animate( 20, 7, 1, true, false, 0 ); // take hit
				}
			}

			FinishSequence();
		}
	}
}